# Interface yii\httpclient\FormatterInterface

Implemented by | yii\httpclient\CurlFormatter, yii\httpclient\JsonFormatter, yii\httpclient\UrlEncodedFormatter, yii\httpclient\XmlFormatter
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-httpclient/blob/master/FormatterInterface.php

FormatterInterface represents HTTP request message formatter.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
format() | Formats given HTTP request message. | yii\httpclient\FormatterInterface

## Method Details

format() public abstract method

Formats given HTTP request message.

public abstract yii\httpclient\Request format ( yii\httpclient\Request $request )
$request | yii\httpclient\Request | HTTP request instance.
return | yii\httpclient\Request | Formatted request.